Bug 832054 - [OSS] Exception is seen when conecting broker built from crankcase scratch.
[OSS] Exception is seen when conecting broker built from crankcase scratch.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 07:57 EDT by Johnny Liu
Modified: 2015-05-14 21:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:26:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-06-14 07:57:22 EDT
Description of problem:
Following http://www.krishnaraman.net/multi-node-openshift-origin-from-scratch/, 
after finished all steps of "Installing the broker", try to use rhc client to connect broker, but failed.
$ rhc-domain-info -p xx -ai
Problem reported from server. Response code was 500.
Re-run with -d for more information.


Check /var/www/stickshift/broker/httpd/logs/error_log, found the following exception:
[ pid=10148 thr=69825561319860 file=utils.rb:176 time=2012-06-14 15:47:33.818 ]: *** Exception LoadError in PhusionPassenger::Rack::ApplicationSpawner (no such file to load -- systemu) (process 10148, thread #<Thread:0x7f030f8eb368>):
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:597:in `new_constants_in'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/site_ruby/1.8/mcollective/vendor/require_vendored.rb:1
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:597:in `new_constants_in'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/site_ruby/1.8/mcollective/vendor.rb:27:in `require_libs'
	from /usr/lib/ruby/site_ruby/1.8/mcollective/vendor.rb:37:in `load_vendored'
	from /usr/lib/ruby/site_ruby/1.8/mcollective.rb:63
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:597:in `new_constants_in'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/gearchanger-mcollective-plugin-0.0.1/lib/gearchanger-mcollective-plugin/gearchanger/mcollective_application_container_proxy.rb:1
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:597:in `new_constants_in'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/dependencies.rb:242:in `require'
	from /usr/lib/ruby/gems/1.8/gems/gearchanger-mcollective-plugin-0.0.1/lib/gearchanger-mcollective-plugin.rb:2
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:68:in `require'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:68:in `require'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:66:in `each'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:66:in `require'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:55:in `each'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler/runtime.rb:55:in `require'
	from /usr/lib/ruby/gems/1.8/gems/bundler-1.0.21/lib/bundler.rb:122:in `require'
	from /var/www/stickshift/broker/config/application.rb:10
	from /var/www/stickshift/broker/config/environment.rb:2:in `require'
	from /var/www/stickshift/broker/config/environment.rb:2
	from config.ru:3:in `require'
	from config.ru:3
	from /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/builder.rb:51:in `instance_eval'
	from /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/builder.rb:51:in `initialize'
	from config.ru:1:in `new'
	from config.ru:1


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Krishna Raman 2012-06-18 10:14:12 EDT
systemu has been added as a dependency to mcollective plugin.
Comment 2 Johnny Liu 2012-06-19 05:37:24 EDT
Verified this bug on Jun, 19. It PASSed.

Note You need to log in before you can comment on or make changes to this bug.